Download deployed product job log
Download deployed product job log
Download deployed product job log
Request
URI
GET
https://{opsmanager-installation}/api/v0/deployed/products/{product_guid}/jobs/{job_guid}/logs/{task_id}
COPY
Path Parameters
string
product_guid
Required
The guid of the product
string
job_guid
Required
The guid of the job
string
task_id
Required
task_id
Query Parameters
boolean
check_only
Optional
check_only
Responses
200
OK
Operation doesn't return any data structure
400
Setupt is not completed or log is not ready for download
Returns
NestedErrorsResponseVariant
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
404
Product does not exist, has not been deployed, job does not exist, or log does not exist
{
"error": "string"
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/v0/deployed/products/{product_guid}/jobs/{job_guid}/logs/{task_id}
Logs Operations
GET
Current Apply Change log (live streaming)
GET
List downloadable director logs
POST
Enqueueing log downloads for the director
GET
Download director logs
GET
List downloadable product job logs
POST
Enqueueing log downloads for A given job
GET
Download deployed product job log
GET
Apply Change log
GET
Apply Change log